Skip to main content

Webhooks Actions

https://api.losant.com/applications/APPLICATION_ID/webhooks

Below are the various requests that can be performed against the Webhooks resource, as well as the expected parameters and the potential responses.

Get​

Returns the webhooks for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/webhooks

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, webhooks.*, or webhooks.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*webhook

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/webhooks

Successful Responses​

CodeTypeDescription
200WebhooksCollection of webhooks

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new webhook for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/webhooks

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, webhooks.*, or webhooks.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Webhook Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Webhook"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Webhook"}' \
https://api.losant.com/applications/APPLICATION_ID/webhooks

Successful Responses​

CodeTypeDescription
201WebhookSuccessfully created webhook

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Webhook​

        Schema for a single Webhook

        Webhook Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 18 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key

                                            Webhook Example​

                                            • ▶
                                              {} 9 keys
                                              • "575ed78e7ae143cd83dc4aab"
                                              • "575ed78e7ae143cd83dc4aab"
                                              • "575ec8687ae143cd83dc4a97"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "2016-06-13T04:00:00.000Z"
                                              • "My Webhook"
                                              • "the_webhook_token"
                                              • 200
                                              • false

                                            Webhook Post​

                                            Schema for the body of a Webhook creation request

                                            Webhook Post Schema​

                                            • ▶
                                              {} 5 keys
                                              • "http://json-schema.org/draft-07/schema#"
                                              • "object"
                                              • ▶
                                                {} 12 keys
                                                • ▶
                                                  {} 3 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 1 key
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 1 key
                                                                      • ▶
                                                                        [] 1 item
                                                                        • false

                                                                      Webhook Post Example​

                                                                      • ▶
                                                                        {} 1 key
                                                                        • "My New Webhook"

                                                                      Webhooks​

                                                                      Schema for a collection of Webhooks

                                                                      Webhooks Schema​

                                                                      • ▶
                                                                        {} 3 keys
                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                        • "object"
                                                                        • ▶
                                                                          {} 10 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 1 key
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 2 keys
                                                                                            • ▶
                                                                                              {} 2 keys

                                                                                          Webhooks Example​

                                                                                          • ▶
                                                                                            {} 8 keys
                                                                                            • ▶
                                                                                              [] 1 item
                                                                                              • 1
                                                                                              • 4
                                                                                              • 1
                                                                                              • 0
                                                                                              • "name"
                                                                                              • "asc"
                                                                                              • "575ec8687ae143cd83dc4a97"

                                                                                            Was this page helpful?


                                                                                            Still looking for help? You can also search the Losant Forums or submit your question there.